=== debian/changelog ===
ukui-biometric-auth (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #908469)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 25 Sep 2018 15:37:06 +0800
