## ukui-biometric-auth 1.0.3

=== debian/changelog ===
ukui-biometric-auth (1.0.3-2ubuntu0.1) eoan; urgency=medium

  * Debian/patchs:
    - Add fix-segfault-after-close-polkit-window.patch. (LP: #1856690)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Dec 2019 19:44:17 +0800

ukui-biometric-auth (1.0.3-2) experimental; urgency=medium

  * Debian/control:
    - libpam-biometric: Breaks and Replaces ukui-polkit(<<1.0.3)
      (Closes: #925377)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 27 Mar 2019 11:58:32 +0800

ukui-biometric-auth (1.0.3-1) experimental; urgency=medium

  * The dialog of su or sudo is replaced by command output.
  * Autorestart biometric authentication if authentication failed.
  * Change the path of some config files.
  * Add biodrvctl script to control driver status.
  * Add fr/pt/ru/es translation.
  * Add a series of biometric image.
  * migrate to cmake.
  * Fix the bug that polit can't load qm file.
  * Fix the bug that polkit can't load icon.
  * Fix the bug that polkit doesn't exit when logout.
  * debian/control:
   - Now ukui-polkit provides polkit-1-auto-agent.
   - Bump standards-version to 4.3.0.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 21 Mar 2019 10:55:27 +0800
