=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ukui-biometric-auth
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                cmake (>= 2.6),
                qtbase5-dev,
                libpam-dev,
@@ -12,7 +11,8 @@
                qttools5-dev,
                qttools5-dev-tools,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ukui/ukui-biometric-auth
 Vcs-Git: https://github.com/ukui/ukui-biometric.git
 Vcs-Browser: https://github.com/ukui/ukui-biometric-auth
