=== debian/changelog ===
ukui-biometric-auth (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump standards-vertion to 4.5.0.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 24 Feb 2020 22:07:07 +0800
