=== debian/changelog ===
ukui-biometric-auth (1.2.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 27 Sep 2020 14:57:48 +0800
