## ukui-biometric-auth 1.2.2

=== debian/changelog ===
ukui-biometric-auth (1.2.2-1build1) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:52:41 +0000

ukui-biometric-auth (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 18 Aug 2021 19:30:31 +0800
