=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: ukui-biometric-auth
 Section: admin
 Priority: optional
-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: debhelper-compat (= 12),
                cmake (>= 2.6),
                qtbase5-dev,
                libpam-dev,
+               libglib2.0-dev,
+	       libopencv-dev,
                libpolkit-qt5-1-dev,
                qttools5-dev,
                qttools5-dev-tools,
