## ukui-biometric-auth 1.2.2.1

=== debian/changelog ===
ukui-biometric-auth (1.2.2.1-2) unstable; urgency=medium

  * d/control: drop policykit-1, add pkexec. (Closes: #1025633)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Aug 2023 13:47:48 +0800

ukui-biometric-auth (1.2.2.1-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix FTBFS with new glib. (Closes: #1019990)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 17 Oct 2022 17:57:05 +0800
