=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ukui-biometric-auth
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: debhelper-compat (= 12),
                cmake (>= 2.6),
@@ -23,7 +22,8 @@
 Package: libpam-biometric
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: biometric-auth
+Suggests: biometric-auth,
+          pkexec
 Breaks: ukui-polkit (<<1.0.3)
 Replaces: ukui-polkit (<<1.0.3)
 Description: Insertable authentication module for PAM
@@ -33,8 +33,7 @@
 
 Package: ukui-polkit
 Architecture: any
-Depends: policykit-1,
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: biometric-auth
 Provides: polkit-1-auth-agent
