## ukui-biometric-auth 1.2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,15 @@
 
 find_package(Qt5 COMPONENTS Core Widgets DBus)
 find_package(Qt5LinguistTools)
+find_package(OpenCV REQUIRED)
+find_package(PkgConfig)
+pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)
+pkg_check_modules(GLIB2 REQUIRED glib-2.0 gio-2.0)
 
 set(UKUI_BIOMETRIC_DIR /usr/share/ukui-biometric)
 set(CMAKE_INSTALL_PREFIX /usr)
 
+#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_CXX_STANDARD 11)
 set (CONDOR_SCRIPT_PERMS OWNER_READ OWNER_WRITE OWNER_EXECUTE
