=== polkit-agent/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
     src/mainwindow.cpp
     src/PolkitListener.cpp
     src/sessionmanager.cpp
+    src/users.cpp
     ../common/generic.cpp
     )
