=== debian/changelog ===
ukui-biometric-auth (1.2.2.2-1) unstable; urgency=medium

  * Fix implicit function declaration (Closes: 1066602)
  * Update debian/wathch.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 02 Apr 2024 11:46:17 +0800
