=== debian/control ===
Source: ukui-biometric-auth
Section: admin
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: cmake (>= 2.6),
               debhelper-compat (= 12),
               libglib2.0-dev,
               libopencv-dev,
               libpam-dev,
               libpolkit-qt5-1-dev,
               pkgconf,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitee.com/openkylin/ukui-biometric-auth
Vcs-Git: https://gitee.com/openkylin/ukui-biometric.git
Vcs-Browser: https://gitee.com/openkylin/ukui-biometric-auth

Package: libpam-biometric
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: biometric-auth, pkexec
Breaks: ukui-polkit (<<1.0.3)
Replaces: ukui-polkit (<<1.0.3)
Description: Insertable authentication module for PAM
 The indispensable part for biometric authentication in
 ukui desktop environment.
 This package contains a modules for PAM.

Package: ukui-polkit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: biometric-auth
Provides: polkit-1-auth-agent
Description: UKUI authentication agent for PolicyKit-1
 The ukui-polkit package supports general authentication and
 biometric authentication that the service is provided by the
 biometric-auth package.
