## ukui-biometric-auth 1.2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.5)
 project(ukui-biometric-auth)
 
 find_package(Qt5 COMPONENTS Core Widgets DBus)
