=== debian/changelog ===
ukui-biometric-auth (1.2.2.3-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 15. (Closes: #1098033)
  * Fix FTBFS with CMake 4. (Closes: #1113599)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 03 Nov 2025 17:11:16 +0800

ukui-biometric-auth (1.2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1063620)
  * Bump debhelper-compat to 13 to get variable expansion in .install files.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Jun 2024 00:14:11 +0200
