=== debian/watch ===
version=4
https://gitee.com/openkylin/ukui-biometric-auth/releases/ .*/ukui-biometric-auth-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
